#include <iostream>
#include <cmath>
#include <iomanip>

using namespace std;

int main(){
	
	int N,M;
	int i,j;
	cin>>N>>M;
	int matrix[N][M];
	
	for(i=0;i<N;i++){
		for(j=0;j<M;j++){
		    cin>>matrix[i][j];
	    }
	}
	
	cout<< -1 ;
	
}